- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Host::CFileInformation Class Reference

Inheritance diagram for Exponent::Host::CFileInformation:

List of all members.

## Detailed Description

Stores information about a file.

Date:
  16/09/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.0.1 Added assignment operator

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CFileInformation.hpp,v 1.7 2007/02/08 21:06:44 paul Exp

Definition at line 44 of file CFileInformation.hpp.

## Public Types

- enum EFileAttribute {
  e_archive = 0,
  e_compressed,
  e_directory,
  e_encryted,
  e_hidden,
  e_normal,
  e_offline,
  e_readOnly,
  e_reparse,
  e_system,
  e_temporary,
  e_unknown
  }
    Attributes of the files. More...

## Public Member Functions

- CFileInformation (dirent *directoryEntry)
- CFileInformation (WIN32_FIND_DATA &fileInfo)
- CFileInformation (const CFileInformation &info)
- CFileInformation ()
- const CTime & getCreationTime () const
- EFileAttribute getFileAttribute () const
- const CString & getFilename () const
- const CString & getFoldername () const
- const CSystemString & getFullPath () const
- const CTime & getLastAccessTime () const
- const CTime & getLastWriteTime () const
- const CString & getShortFilename () const
- double getSizeInBytes () const
- bool isDirectory () const
- virtual CFileInformation & operator= (const CFileInformation &info)
- void setCreationTime (const CTime &creationTime)
- void setFileAttribute (const EFileAttribute attribute)
- void setFileInformationFromData (WIN32_FIND_DATA &fileInfo)
- void setFilename (const CString &filename)
- void setFoldername (const CString &foldername)
- void setLastAccessTime (const CTime &lastAccess)
- void setLastWriteTime (const CTime &lastWrite)
- void setSizeInBytes (const double size)
- virtual ~CFileInformation ()

## Static Public Member Functions

- static int compareFiles (const CFileInformation **info1, const CFileInformation **info2)

## Protected Attributes

- CTime m_accessTime
- EFileAttribute m_attribute
- CTime m_creationTime
- CString m_filename
- double m_fileSizeInBytes
- CString m_foldername
- CSystemString m_fullPath
- CString m_shortFilename
- CTime m_writeTime

## Member Enumeration Documentation

enum Exponent::Host::CFileInformation::EFileAttribute

Attributes of the files.

Enumerator:

  e_archive | Archive Deprecated:
  e_compressed | Compressed (is this not the same as above??) Deprecated:
  e_directory | Directory
  e_encryted | Encrypted Deprecated:
  e_hidden | Hidden Deprecated:
  e_normal | Normal file
  e_offline | Offline file Deprecated:
  e_readOnly | Read only Deprecated:
  e_reparse | ?? Never did figure out what windows thinks this type is Deprecated:
  e_system | System file
  e_temporary | Temp file Deprecated:
  e_unknown | Unkown file type

Definition at line 60 of file CFileInformation.hpp.

## Constructor & Destructor Documentation

Exponent::Host::CFileInformation::CFileInformation | ( |  | ) |

Construction

Exponent::Host::CFileInformation::CFileInformation | ( | const CFileInformation & | info | ) |

Copy Construction

Parameters:

  | info | The info to copy

Exponent::Host::CFileInformation::CFileInformation | ( | WIN32_FIND_DATA & | fileInfo | ) |

Construction from a find data object

Parameters:

  | fileInfo | The window file info

Exponent::Host::CFileInformation::CFileInformation | ( | dirent * | directoryEntry | ) |

Construction from a dirent structure

Parameters:

  | directoryEntry | The unix dirent structure

virtual Exponent::Host::CFileInformation::~CFileInformation | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

static int Exponent::Host::CFileInformation::compareFiles | ( | const CFileInformation ** | info1,
|  | const CFileInformation ** | info2 |
| ) |  |  | `[static]`

Comparison for a qsort

Parameters:

  | info1 | The first info
  | info2 | The second info

Return values:

  | <0 | info1 goes before info2 0 info1 == info2 >0 info1 goes after info2

const CTime& Exponent::Host::CFileInformation::getCreationTime | ( |  | ) | const`[inline]`

Get the creation time

Return values:

  | const | CTime& The creation time

Definition at line 201 of file CFileInformation.hpp.

References m_creationTime.

EFileAttribute Exponent::Host::CFileInformation::getFileAttribute | ( |  | ) | const`[inline]`

Get the file attribute

Definition at line 195 of file CFileInformation.hpp.

References m_attribute.

const CString& Exponent::Host::CFileInformation::getFilename | ( |  | ) | const`[inline]`

Get the file name

Return values:

  | const | CString& The filename

Definition at line 225 of file CFileInformation.hpp.

References m_filename.

const CString& Exponent::Host::CFileInformation::getFoldername | ( |  | ) | const`[inline]`

Get the folder name

Return values:

  | const | CString& The containing folder name

Definition at line 237 of file CFileInformation.hpp.

References m_foldername.

const CSystemString& Exponent::Host::CFileInformation::getFullPath | ( |  | ) | const`[inline]`

Get the full path

Return values:

  | const | CSystemString& The full path to the file

Definition at line 243 of file CFileInformation.hpp.

References m_fullPath.

const CTime& Exponent::Host::CFileInformation::getLastAccessTime | ( |  | ) | const`[inline]`

Get the last access time

Return values:

  | const | CTime& The last access time

Definition at line 207 of file CFileInformation.hpp.

References m_accessTime.

const CTime& Exponent::Host::CFileInformation::getLastWriteTime | ( |  | ) | const`[inline]`

Get the last write time

Return values:

  | const | CTime& The last write time

Definition at line 213 of file CFileInformation.hpp.

References m_writeTime.

const CString& Exponent::Host::CFileInformation::getShortFilename | ( |  | ) | const`[inline]`

Get the file name

Return values:

  | const | CString& The MSDOS style filename

Definition at line 231 of file CFileInformation.hpp.

References m_shortFilename.

double Exponent::Host::CFileInformation::getSizeInBytes | ( |  | ) | const`[inline]`

Get the size of the file in bytes

Return values:

  | double | File size in bytes

Definition at line 219 of file CFileInformation.hpp.

References m_fileSizeInBytes.

bool Exponent::Host::CFileInformation::isDirectory | ( |  | ) | const`[inline]`

Is this a directory

Return values:

  | bool | True if this points to a folder, false otherwise

Definition at line 249 of file CFileInformation.hpp.

References e_directory, and m_attribute.

virtual CFileInformation& Exponent::Host::CFileInformation::operator= | ( | const CFileInformation & | info | ) | `[virtual]`

Assignment operator

Parameters:

  | info | The info to copy

Return values:

  | CFileInformation& | A reference to this

void Exponent::Host::CFileInformation::setCreationTime | ( | const CTime & | creationTime | ) |

Set the creation time

Parameters:

  | creationTime | The creation time

void Exponent::Host::CFileInformation::setFileAttribute | ( | const EFileAttribute | attribute | ) |

Set the file attribute

Parameters:

  | attribute | The file atributes

void Exponent::Host::CFileInformation::setFileInformationFromData | ( | WIN32_FIND_DATA & | fileInfo | ) |

Set from a find data object

Parameters:

  | fileInfo | The window file info

void Exponent::Host::CFileInformation::setFilename | ( | const CString & | filename | ) |

Set the file name

Parameters:

  | filename | the filename

void Exponent::Host::CFileInformation::setFoldername | ( | const CString & | foldername | ) |

Set the folders name

Parameters:

  | foldername | The containing folders name

void Exponent::Host::CFileInformation::setLastAccessTime | ( | const CTime & | lastAccess | ) |

Set the last access time

Parameters:

  | lastAccess | last access time

void Exponent::Host::CFileInformation::setLastWriteTime | ( | const CTime & | lastWrite | ) |

Set the last write time

Parameters:

  | lastWrite | The last write time

void Exponent::Host::CFileInformation::setSizeInBytes | ( | const double | size | ) |

Set the size of the file in bytes

Parameters:

  | size | The size in bytes

## Member Data Documentation

CTime Exponent::Host::CFileInformation::m_accessTime`[protected]`

Last access time

Definition at line 259 of file CFileInformation.hpp.

Referenced by getLastAccessTime().

EFileAttribute Exponent::Host::CFileInformation::m_attribute`[protected]`

File attribute

Definition at line 257 of file CFileInformation.hpp.

Referenced by getFileAttribute(), and isDirectory().

CTime Exponent::Host::CFileInformation::m_creationTime`[protected]`

Time of creation

Definition at line 258 of file CFileInformation.hpp.

Referenced by getCreationTime().

CString Exponent::Host::CFileInformation::m_filename`[protected]`

Name of the file

Definition at line 262 of file CFileInformation.hpp.

Referenced by getFilename().

double Exponent::Host::CFileInformation::m_fileSizeInBytes`[protected]`

File size in bytes

Definition at line 261 of file CFileInformation.hpp.

Referenced by getSizeInBytes().

CString Exponent::Host::CFileInformation::m_foldername`[protected]`

Folder that contains it

Definition at line 264 of file CFileInformation.hpp.

Referenced by getFoldername().

CSystemString Exponent::Host::CFileInformation::m_fullPath`[protected]`

Full path to the file

Definition at line 265 of file CFileInformation.hpp.

Referenced by getFullPath().

CString Exponent::Host::CFileInformation::m_shortFilename`[protected]`

MS-DOS style filename

Definition at line 263 of file CFileInformation.hpp.

Referenced by getShortFilename().

CTime Exponent::Host::CFileInformation::m_writeTime`[protected]`

Last write time

Definition at line 260 of file CFileInformation.hpp.

Referenced by getLastWriteTime().